import sys

import paho.mqtt.client as mqtt

def main(host, fablock_id, relais_id):
    client = client = mqtt.Client(f"fablock_client_{fablock_id}_{relais_id}")

    client.connect(host)
    client.publish(f"fablock/{fablock_id:03d}/{relais_id:03d}/trigger", 0x1)

if __name__ == '__main__':
    host = sys.argv[1]
    fablock_id = sys.argv[2]
    relais_id = sys.argv[3]
    state = sys.argv[5]
    
    if(state == "inuse"):
        main(host, fablock_id, relais_id)
